
def junk(path=None, currentDir='', currentMessage=''):
	"""
	Write a filename to junk.
	"""
	if path == None:
		#path = '/home/jvoss/Mail'
		path = os.path.join(os.path.expanduser('~'), 'Mail')
	#end if
	if currentDir == '' or currentMessage == '':
		return 'Error: currentDir and currentMessage are required.'
	#end if
	tmpf = os.path.join(tempfile.gettempdir(), 'mail1_junk.txt')
	tmpfilter = os.path.join(tempfile.gettempdir(), 'mail1_filter.txt')
	#tmpf = '/tmp/mail1_junk.txt'
	#tmpfilter = '/tmp/mail1_filter.txt'
	if os.path.exists(tmpf):
		# TODO: Check for race condition
		try:
			os.chmod(tmpf, stat.S_IRUSR | stat.S_IWUSR)
		except (OSError, IOError) as e:
			print("Warning:", e)
		#end try
		group = grp.getgrnam('public')
		if group:
			gid = group[2]
		else:
			gid = os.getegid()
		#end if
		try:
			os.chown(tmpf, os.geteuid(), gid)
			os.chmod(tmpf, stat.S_IRUSR | stat.S_IWUSR | stat.S_IRGRP | stat.S_IWGRP)
		except (OSError, IOError) as e:
			print("Warning:", e)
		#end try
	#end if
	# Put a description of the filter in /tmp/mail1_filter.txt
	f = open(os.path.join(path, currentDir, 'cur', currentMessage), 'r')
	msg = message_from_binary_file(f)
	from_filter = binascii.unhexlify(genFilter(msg['from'], 'From').replace('%', ''))
	msg = None
	f.close()
	filter_f = open(tmpfilter, 'a')
	filter_f.write(from_filter + '\n')
	f = open(tmpf, 'a')
	f.write(os.path.join(path, currentDir, 'cur', currentMessage) + '\n')
	f.close()
	return '<pre>\n' + sanitize(open(tmpf, 'r').read()) + '</pre>\n'
#end def junk(path = '/home/$USER/Mail', currentDir = '', currentMessage = '')
